This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 765272 - (GLUSTER-3540) brick name duplication in /etc/glusterd store
brick name duplication in /etc/glusterd store
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-13 03:14 EDT by Rajesh
Modified: 2013-07-04 18:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 07:08:44 EDT
Type: ---
Regression: ---
Mount Type: All
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajesh 2011-09-13 03:14:10 EDT
Created a volume "V"
gluster volume info V:

Volume Name: V
Type: Distribute
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: 192.168.1.84:/home/raj/bricks/d
Brick2: raj-pc:/home/raj/bricks/a-b-c
Brick3: raj-pc:/home/raj/bricks/a/b/c

the last two bricks make entries in /etc/glusterd/vols/V/bricks/ clash (both will have the filename "raj-pc:-home-raj-bricks-a-b-c") and only one remains after overwriting the other (slashes are replaced by hyphens for filenames). Volume mounts fine, but fails almost all Posix compliance tests (so one cannot do any operations on it).

Need another way to store files in /etc/glusterd. Replacing slashes with hyphens( 's/\//-/g' ) does not work in this case.

Note You need to log in before you can comment on or make changes to this bug.